<?php

include('db.inc.php');

function send_email($data, $a_kategoria, $teszt="off", $a_honnan){

	$subject="Konyvel.net - Munkaajánlat";
    
	$msg  = "Tisztelt Ügyfelünk! A Könyvelő Keresőbe új munkaajánlat érkezett, amelynek részleteit alább tekintheti meg." ."<br>" ."<br>";
    $msg .= "Ajánlatkérés címsora: <b>" . $data->megnevezes ."</b><br>";
    $msg .= "Ajánlatkérő neve: <b>" . $data->nev ."</b><br>";
    $msg .= "Vállalkozási forma: <b>" . $data->vforma ."</b><br>";

	$szekhely = $data->szekhely;
	if ($szekhely != '') {
        $msg .= "Székhely: <b>" . $szekhely ."</b><br>";
        }
	$ajid = $data->id;
    $fotevekenyseg = $data->fotevekenyseg;
    if ($fotevekenyseg != '') {
        $msg .= "Főtevékenység: <b>" . $fotevekenyseg ."</b><br>";
        }
    $konyveles_modja = $data->konyveles_modja;
    if ($konyveles_modja != '') {
        switch ($konyveles_modja) {
            case 1:
                $konyveles_modja = "egyszeres könyvvitel";
            break;
            case 2:
                $konyveles_modja = "EVA bevételi nyilvántartás";
            break;
            case 3:
                $konyveles_modja = "kettős könyvvitel";
            break;
            default:
                $konyveles_modja = "";

        }
        $msg .= "Könyvelés módja: <b>" . $konyveles_modja ."</b><br>";
        }

    $kulker_vegez = $data->kulker_vegez;
    if ($kulker_vegez != '') {
        switch ($kulker_vegez) {
            case 1:
                $kulker_vegez = "nem";
            break;
            case 2:
                $kulker_vegez = "igen";
            break;
        }
        $msg .= "Külkereskedelmet végez: <b>" . $kulker_vegez ."</b><br>";
        }
	$data->munkahely == 1 ? $munkahely="könyvelőnél" : $munkahely="cégnél";
    $msg .= "Munkavégzés helye: <b>" . $munkahely ."</b><br>";

	$data->bizonylat_atadas == 1 ? $bizonylat_atadas="könyvelőnél" : $bizonylat_atadas="cégnél";
    $msg .= "Bizonylatok átadása: <b>" . $bizonylat_atadas ."</b><br>";

   	$honnan_1 = $data->honnan_1;
	if ($honnan_1 != 0) {
        $msg .= "Honnan várja az ajánlatokat 1: <b>" . $a_honnan[$honnan_1] ."</b><br>";
        }
   	$honnan_2 = $data->honnan_2;
	if ($honnan_2 != 0) {
        $msg .= "Honnan várja az ajánlatokat 2: <b>" . $a_honnan[$honnan_2] ."</b><br>";
        }
   	$honnan_3 = $data->honnan_3;
	if ($honnan_3 != 0) {
        $msg .= "Honnan várja az ajánlatokat 3: <b>" . $a_honnan[$honnan_3] ."</b><br>";
        }

    $bejovo_szamlak = $data->bejovo_szamlak;
    if ($bejovo_szamlak != 0) {
        switch ($bejovo_szamlak) {
            case 1:
                $bejovo_szamlak = "1-10";
            break;
            case 2:
                $bejovo_szamlak = "10-50";
            break;
            case 3:
                $bejovo_szamlak = "50-100";
            break;
            case 4:
                $bejovo_szamlak = "100-1000";
            break;
            case 5:
                $bejovo_szamlak = "1000 felett";
            break;
            case 6:
                $bejovo_szamlak = "nem tudom";
            break;
            default:
                $bejovo_szamlak = "nincs adat";
        }
        $msg .= "Bejövő számlák: <b>" . $bejovo_szamlak ." db/hó"."</b><br>";
        }

    $kimeno_szamlak = $data->kimeno_szamlak;
    if ($kimeno_szamlak != 0) {
        switch ($kimeno_szamlak) {
            case 1:
                $kimeno_szamlak = "1-10";
            break;
            case 2:
                $kimeno_szamlak = "10-50";
            break;
            case 3:
                $kimeno_szamlak = "50-100";
            break;
            case 4:
                $kimeno_szamlak = "100-1000";
            break;
            case 5:
                $kimeno_szamlak = "1000 felett";
            break;
            case 6:
                $kimeno_szamlak = "nem tudom";
            break;
            default:
                $kimeno_szamlak = "nincs adat";
        }
        $msg .= "Kimenő számlák: <b>" . $kimeno_szamlak ." db/hó"."</b><br>";
        }

	$alkalmazottak = $data->alkalmazottak;
	if ($alkalmazottak != '') {
        $msg .= "Alkalmazottak száma: <b>" . $alkalmazottak ."</b><br>";
        }

    $arbevetel = $data->arbevetel;
    if ($arbevetel != 0) {
        switch ($arbevetel) {
            case 1:
                $arbevetel = "0-5";
            break;
            case 2:
                $arbevetel = "5-15";
            break;
            case 3:
                $arbevetel = "15-50";
            break;
            case 4:
                $arbevetel = "50 felett";
            break;
            case 5:
                $arbevetel = "nem tudom";
            break;
            default:
                $arbevetel = "nincs adat";
        }
        $msg .= "Árbevétel: <b>" . $arbevetel ." MFt/év"."</b><br>";
        }

    $msg .= "Elérhetőség: <b>" . $data->elerhetoseg ."</b><br>";
//    $msg .= "Kapcsolatfelvételi telefon: <b>" . $data->kapcsolat_tel ."</b><br>";

	$kategoria_1 = $data->kategoria_1;
	if ($kategoria_1 != 0) {
        $msg .= "1. kategória: <b>" . $a_kategoria[$kategoria_1] ."</b><br>";
        }
	$kategoria_2 = $data->kategoria_2;
	if ($kategoria_2 != 0) {
        $msg .= "2. kategória: <b>" . $a_kategoria[$kategoria_2] ."</b><br>";
        }
	$kategoria_3 = $data->kategoria_3;
	if ($kategoria_3 != 0) {
        $msg .= "3. kategória: <b>" . $a_kategoria[$kategoria_3] ."</b><br><br>";
        }


    $msg .= "Keresett szolgáltatás leírása: <b>" . $data->munka ."</b><br><br>";
    $msg .= "Legfontosabb szempontok: <b>" . $data->szempontok ."</b><br><br>";
    $msg .= "<b>Ajánlatküldési határidő: " . $data->ervenyes ."</b><br>";
    $msg .= "Feladva: " . $data->datum ."<br><br>";

    $msg .= "Ha felkeltette érdeklődését a munkaajánlat, kérjük, vegye fel a kapcsolatot az ajánlatkérővel."."<br>"."<br>";
	$msg .= "Üdvözlettel:"."<br>"."<br>";
	$msg .= "Könyvelő Kereső"."<br>";
	$msg .= "www.konyvel.net";

	//$msg="<html><head><meta http-equiv='Content-Language' content='hu'><META name='Author' lang='hu' content='MÉDIA ONLINE: http://www.media-online.hu'><TITLE>Könyvelő Kereső Hírlevél</TITLE><META name='description' content='Könyvelő Kereső Hírlevél új munkalehetőséggel'><meta http-equiv=Content-Type content='text/html; charset=iso-8859-2'></head><body>Tisztelt Ügyfelünk!<P>A www.konyvel.net weboldalon új munkalehetőség tekinthető meg:\n<BR><A HREF=http://www.konyvel.net/ajanlat_more.php?id=$id>$megnevezes</A>\n<BR>Az ajánlatküldés határideje: $ervenyes\n<P><a href=http://www.konyvel.net/id681229.php>További könyveléssel kapcsolatos munkaajánlatok</a><P>Üdvözlettel:<BR>Könyvelő Kereső</body></html>";

	$xtra="Content-type: text/html; charset=iso-8859-2\nFrom: info@konyvel.net\r\nReply-To: info@konyvel.net\r\nX-Priority: 3\nX-Mailer: PL-PHP/" . phpversion();


	if($teszt=="on"){
		$to="info@konyvel.net";
		//$to="perger@lgt.hu";
		mail($to, $subject, $msg, $xtra);
		printf("$to $subject $msg $xtra &#150; ok<br>");
    }elseif($teszt != "on" && $teszt != "off" && $teszt != ""){
		mail($teszt, $subject, $msg, $xtra);
		printf("$teszt $subject $msg $xtra &#150; ok<br>");
    }else{

		$stmt="SELECT email FROM kk_tag WHERE jovahagyva='1' AND hirlevel='1'";
		$mydb = new db();
		$result=$mydb->query($stmt);
		while($row = mysql_fetch_object($result)){

			$to=$row->email;

            $a_address = explode(";", $to);
            foreach ($a_address as $s_to) {
                sleep(1);
    			mail($to, $subject, $msg, $xtra);
    			printf("%s\n<BR>", $s_to);
    			flush;
                }

		}
		
		//KÜLDÉS HALMAZTAGOKNAK
			$stmt="SELECT * FROM kk_tag WHERE (hirlevel='3') AND jovahagyva='1'";
			
			$mydb = new db();
			$result=$mydb->query($stmt);
			$harmastag=0;
			while($row = mysql_fetch_object($result)){
				$email=$row->email;
				$mvhely1=$row->megye;
				$mvhely2=$row->megye2;
				$mvhely3=$row->megye3;
				$kat1=$row->kategoria_1;
				$kat2=$row->kategoria_2;
				$kat3=$row->kategoria_3;
				$kat4=$row->kategoria_4;
				$kat5=$row->kategoria_5;
				$kat6=$row->kategoria_6;
				$kat7=$row->kategoria_7;
				$kat8=$row->kategoria_8;
				$kat9=$row->kategoria_9;
				$kat10=$row->kategoria_10;
				$kat11=$row->kategoria_11;
				$munkavegzes_hely=$row->munkavegzes_hely;
				$bizonylat_atadas=$row->bizonylat_atadas;
				
				if ((($data->munkahely==$munkavegzes_hely OR $data->munkahely==3) AND ($data->bizonylat_atadas==$bizonylat_atadas OR $data->bizonylat_atadas==3)) OR $bizonylat_atadas==3 OR $munkavegzes_hely==3)
				{
					
					if ($data->honnan_1==$mvhely1 OR $data->honnan_2==$mvhely1 OR $data->honnan_3==$mvhely1 OR $data->honnan_1==$mvhely2 OR $data->honnan_2==$mvhely2 OR $data->honnan_3==$mvhely2 OR $data->honnan_1==$mvhely3 OR $data->honnan_2==$mvhely3 OR $data->honnan_3==$mvhely3)
					{
						if ($data->kategoria_1==$kat1 OR $data->kategoria_2==$kat1 OR $data->kategoria_3==$kat1 OR $data->kategoria_1=='$kat2' OR $data->kategoria_2==$kat2 OR $data->kategoria_3==$kat2 OR $data->kategoria_1==$kat3 OR $data->kategoria_2==$kat3 OR $data->kategoria_3==$kat3 OR $data->kategoria_1==$kat4 OR $data->kategoria_2==$kat4 OR $data->kategoria_3==$kat4 OR $data->kategoria_1==$kat5 OR $data->kategoria_2==$kat5 OR $data->kategoria_3==$kat5 OR $data->kategoria_1==$kat6 OR $data->kategoria_2==$kat6 OR $data->kategoria_3==$kat6 OR $data->kategoria_1==$kat7 OR $data->kategoria_2==$kat7 OR $data->kategoria_3==$kat7 OR $data->kategoria_1==$kat8 OR $data->kategoria_2==$kat8 OR $data->kategoria_3==$kat8 OR $data->kategoria_1==$kat9 OR $data->kategoria_2==$kat9 OR $data->kategoria_3==$kat9 OR $data->kategoria_1==$kat10 OR $data->kategoria_2==$kat10 OR $data->kategoria_3==$kat10 OR $data->kategoria_1==$kat11 OR $data->kategoria_2==$kat11 OR $data->kategoria_3==$kat11)
						{
			    			mail($email, $subject, $msg, $xtra);
    						printf("%s\n<BR>", $s_to);
			    			flush;
							
						}
					}
				}
			}
		
	}

	printf("<BR>A levelek sikeresen elküldve.<BR><A HREF=/admin/>Vissza</A><BR><BR>");



}

function clear_flag($id){
	$stmt="UPDATE kk_ajanlat SET elkuldve='1' WHERE id='$id'";
	$mydb = new db();
	$result=$mydb->query($stmt);
}



///***/// main ///***///

// teszt kapcsolo
//$teszt="on";

$mydb = new db();

// kategoriat is meg kell tudni
$stmt="SELECT id, nev FROM kk_kategoria";
$result=$mydb->query($stmt);
while($row = mysql_fetch_object($result)){
	$a_kategoria[$row->id] = $row->nev;
}

$stmt="SELECT id, nev FROM kk_megye";
$result=$mydb->query($stmt);
while($row = mysql_fetch_object($result)){
	$a_honnan[$row->id] = $row->nev;
}

if ($resend!="") {
    $teszt = $resend;
    // osszes aktualis ajanlat
    $stmt="SELECT kk_ajanlat.*, kk_vforma.nev AS vforma FROM kk_ajanlat LEFT JOIN kk_vforma ON kk_vforma.id=kk_ajanlat.vforma WHERE kk_ajanlat.jovahagyva='1' AND kk_ajanlat.ervenyes >= CURDATE()";
} else {
    // kiszurjuk az elkuldotteket
    //$stmt="SELECT * FROM kk_ajanlat WHERE elkuldve='2' AND jovahagyva='1'";
    $stmt="SELECT kk_ajanlat.*, kk_vforma.nev AS vforma FROM kk_ajanlat LEFT JOIN kk_vforma ON kk_vforma.id=kk_ajanlat.vforma WHERE kk_ajanlat.jovahagyva='1' AND kk_ajanlat.elkuldve='2'";

}

$result=$mydb->query($stmt);

while($row = mysql_fetch_object($result)){
	if($teszt!="") {
		send_email($row, $a_kategoria, $teszt, $a_honnan);
	} else {
		
		send_email($row, $a_kategoria, "", $a_honnan);
		clear_flag($row->id);
	    }
    sleep(2);
}

print("<BR><P><B>Huh, teljesen kesz vagyok</B></P>");

?>